package cz.upol.jj2.lab09.cars;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.web.bind.annotation.*;

import java.util.Optional;

/*
Controller pro práci s auty
Zde kód pro přehlednost, pořádné komentáře v controlleru pro person
 */
@RestController
public class CarsController {
    @Autowired
    @Qualifier("prefilled")
    private SimpleDatabase db;


    @GetMapping("/car")
    public Car car(@RequestParam(value = "id") int id) {
        System.out.printf("Hledám auto s id %d.", id);
        Optional<Car> c = db.carById(id);
        if (c.isEmpty()) {
            System.out.println("KO");
            db.print();
            return null;//toto ale nenastaví správný response code... co s tím uvidíme v PersonController
        }
        System.out.println("OK");
        db.print();
        return c.get();
    }

    @DeleteMapping("/car")
    @ResponseBody
    public Boolean delete(@RequestBody int id) {
        System.out.printf("Mažu auto s id %d", id);
        var res = db.dropCar(id);
        System.out.println(res?"OK":"KO");
        db.print();
        return res;
    }


}
